@charset "utf-8";

/*========= LOADING ===============*/
#splash {
	position: fixed;
	width: 100%;
	height: 100%;
	background: var(--font-black);
	z-index: 2;
	text-align:center;
}

#splash-logo {
	position: absolute;
    width: 50%;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.logoImg {
    width: clamp(50%, 40%, 30%);
}

/* =========================
main
========================= */
/*========= SCREEN TRANS ===============*/
#canvas {
    position: fixed;
    display: block;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

/*========= FV ===============*/
.mainVisual {
  position: relative;
  height: 100vh;
}

.mainTitle {
    position: fixed;
    font-weight: 800;
    line-height: 1.5;
    top: 50%;
    transform: translateY(-50%);
}

.scrolldown {
    position: absolute;
    top: 50%;
    right: 4%;
}

.scrolldown span {
    position: absolute;
    /* left: -24px; */
    left: clamp(-18px, -1.67vw, -24px);
    top: -44px;
    color: var(--font-white);
    font-size: clamp(1.1rem, 0.97vw, 1.4rem);
    font-weight: 800;
    letter-spacing: 0.1em;
    transform: rotate(90deg);
}

.scrolldown::after {
    content: "";
    position: absolute;
    top: 0;
    width: 1px;
    height: 30px;
    background: var(--font-white);
    animation: pathmove 1.6s ease-in-out infinite;
    opacity: 0;
}

@keyframes pathmove {
    0% {
    height: 0;
    top: 0;
    opacity: 0;
    }
    30% {
        height: 60px;
        opacity: 1;
    }
    100% {
        height: 0;
        top: 80px;
        opacity: 0;
    }
}

/* MAINVISUAL SP */
@media (max-width: 640px) {
    .mainTitle {
        position: absolute;
    }
} /* MAINVISUAL SP 640px */

/*========= BTN FIX ===============*/
.btn-fix {
    position: fixed;
    width: clamp(300px, 25vw, 480px);
    /* width: calc(360 / var(--ds-width) * 100%); */
    right: 0;
    bottom: 0;
    /* bottom: calc(22 / var(--ds-width) * 100%); */
    z-index: 100;
    transition: opacity 0.3s, visibility 0.3s;
    display: flex;
    justify-content: right;
}

.btn-fix a {
    background: var(--font-black);
    padding: 2rem;
    text-decoration: none;
    color: var(--font-white);
    border-radius: 6px;
    transition: all 0.3s;
    text-align: center;
}

.btn-fix a:hover {
    background: var(--main-purpleLow);
    transform: translateY(-2px);
}

.btn-text {
    font-family: "Noto Sans JP", sans-serif;
    font-size: 2rem;
}

/* mb */
@media (max-width: 768px) {
    .btn-fix {
        width: 100%;
        /* width: calc(300 / var(--mb-width) * 100%);
        bottom: calc(15 / var(--mb-width) * 100%); */
        left: 50%;
        right: auto;
        transform: translateX(-50%);
    }
}

/*========= ABOUT ===============*/
.highlight {
    font-size: clamp(2.4rem, 2.78vw, 4rem);
}

#about {
    width: 44vw;
    margin-left: auto;
    padding: 0 7% 0 0;
    position: relative;
}

.about__contents h3 {
    color: var(--main-purpleLow);
}

.about__contents span {
    display: inline-block;
}

/* ABOUT SP */
@media (max-width: 640px) {
    #about {
        width: initial;
        margin-left: initial;
        padding: 0 10%;
        position: initial;
    }
} /* ABOUT SP 640px */

/*========= FEATURES ===============*/
#features {
    position: relative;
    background: rgba(var(--font-white-rgb), 1);
    z-index: -1;
}

#features::before {
    content: '';
    position: absolute;
    top: auto;
    left: 0;
    width: 50%;
    height: 100%;
    background: url('../images/shape01.webp') no-repeat left top / contain;
    background-position: left bottom;
    z-index: -1;
}

#features::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 50%;
    height: 100%;
    background: url('../images/shape02.webp') no-repeat right top / contain;
}

.features__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 5em;
}

.features__item {
    width: 25vw;
    padding: 2%;
    background: rgba(var(--font-white-rgb), 0.7);
    border-radius: 8px;
    font-weight: 800;
    z-index: 1;
}

.featuresImg {
    margin: 0 auto clamp(3rem, 3.47vw, 5rem);
    display: block;
}

.featuresImg--02 {
    margin: 1.5rem auto clamp(3rem, 5.2vw, 7.5rem);
}

.featuresImg--03 {
    margin: 1rem auto clamp(3rem, 4.86vw, 7rem);
}

.featuresImg--04 {
    margin: 0 auto clamp(3rem, 4.86vw, 7rem);
}

.features__item h3 {
    color: var(--main-purpleLow);
}

.features__caption,
.features__text {
    font-size: clamp(1.2rem, 0.97vw, 1.4rem);
    color: var(--font-black);
    line-height: 2;
}

.features__caption p {
    position: relative;
    padding-left: 2rem;
}

.features__caption p::before {
    content: '◆';
    position: absolute;
    top: 0;
    left: 0;
    width: 12px;
    height: 12px;
}

/* FEATURES SP */
@media (max-width: 920px) {
    .features__item {
        width: 40vw;
    }
} /* FEATURES SP 920px */

@media (max-width: 640px) {
    .features__item {
        width: 60vw;
    }
} /* FEATURES SP 640px */

@media (max-width: 480px) {
    .features__item {
        width: 80vw;
        padding: 1.5rem;
    }
} /* FEATURES SP 480px */

/*========= TALENT ===============*/
.talent__fixed-content {
  position: sticky;
  top: 0;
  z-index: 2;
}

#talent {
    position: relative;
    background: url('../images/talent.webp') no-repeat bottom center;
    background-size: cover;
    padding: 5% 7% 7%;
    min-height: 100vh;
    text-align: left;
}

#talent:before {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(var(--font-black-rgb), 0.5);
}

.talent__content {
    display: flex;
    position: relative;
    min-height: 100vh;
    align-items: flex-start;
}

.talent__fixed-content {
    width: 40%;
    z-index: 1;
    padding-right: 3rem;
}

.talent__fixed-content h2,
.talent__fixed-content p.ruby {
    text-align: left;
}

.talent__topic {
    z-index: 1;
    text-align: left;
}

.talent__text {
    margin-right: 5rem;
    width: 40vw;
    text-align: left;
}

.talent_image {
    z-index: 1;
    width: clamp(50%, 50%, 60%);
    margin-left: auto;
    padding-left: 2rem;
}

.talent__image-list {
    display: flex;
    flex-direction: column;
    gap: 7rem;
    padding: 3rem 0 0;
    max-width: 500px;
    margin-left: auto;
}

.talent__image-item {
    width: 100%;
    max-width: 320px;
    margin-left: auto;
}

.talent__image-item:nth-child(2) {
    margin-left: 0;
}

.talent__image-item:nth-child(3) {
    margin-left: auto;
}

.talent__image-item a {
    display: block;
    aspect-ratio: 3/4;
    overflow: hidden;
    border-radius: 10px;
    transition: transform 0.3s ease;
}

.talent__image-item a:hover {
    transform: translateY(-5px);
}

.talent__image-item .talentImg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#talent .btn05 {
    color: var(--font-white);
    background: var(--main-purple);
}

#talent .btn05:hover {
    background: var(--font-white);
    color: var(--main-purpleLow);
}

/* TALENT SP */
@media (max-width: 640px) {
    #talent {
        padding: 5% 10% 7%;
    }

    .section--talent {
        padding: 0 10%;
    }

    .talent__content {
        display: block;
        justify-content: center;
        min-height: initial;
    }

    .talent__fixed-content {
        width: initial;
        padding-right: initial;
    }

    .talent__text {
        margin-right: initial;
        width: initial;
    }

    #talent .btn {
        margin: clamp(1rem, 2.08vw, 3rem) 0 clamp(1rem, 2.08vw, 3rem) 1rem;
        /* margin: 3rem 0 3rem 1rem; */
    }

    .talent__image-list {
        flex-direction: row;
        gap: 3rem;
    }

    .talent_image {
        width: initial;
        margin-left: initial;
        padding-left: 0;
    }
} /* TALENT SP 640px */

/*========= NEWS ===============*/
.section--news {
    padding: 0 7% 12%;
}

.news__btn {
  text-align: center;
}

/*========= FAQ ===============*/
#faq {
    position: relative;
    margin-top: 0;
    background: var(--font-white);
    padding: 5% 7% 10%;
    z-index: 1;
}

#faq::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 55%;
    height: 100%;
    background: url('../images/shape03.webp') no-repeat right top / contain;
    z-index: -1;
}

#faq h2,
.accordion-area {
    color: var(--font-black);
}

.accordion-area li {
    margin: 10px 0;
}

.accordion-area section {
    border: 1px solid rgba(var(--font-black-rgb), 0.1);
}

.title {
    position: relative;
    cursor: pointer;
    font-size: clamp(1.2rem, 1.11vw, 1.6rem);
    padding: 3% 3% 3% 50px;
    transition: all .5s ease;
}

.title::before, .title::after {
    position: absolute;
    content: '';
    width: 15px;
    height: 2px;
    background-color: var(--font-black);
}

.title::before {
    top: 48%;
    left: 15px;
    transform: rotate(0deg);
}

.title::after {
    top: 48%;
    left: 15px;
    transform: rotate(90deg);
}

.title.close::before {
    transform: rotate(45deg);
}

.title.close::after {
    transform: rotate(-45deg);
}

.box {
    display: none;
    color: var(--font-white);
    background: var(--main-purple);
    margin: 0 3% 3% 3%;
    padding: 3%;
}

/* FAQ SP */
@media (max-width: 640px) {
    #faq {
        padding-top: 10%;
    }
} /* FAQ SP 640px */
